message("FindArmadillo starting...")

# Find headers
FIND_PATH(
    ARMADILLO_INCLUDE_DIR

    NAMES
        armadillo

    HINTS
        $ENV{ARMADILLO_INCLUDE_DIR}
        ${ARMADILLO_INCLUDE_DIR}
        ${ROOT_DIR}/external_dependencies/armadillo/

    PATHS
        /usr
        /home
        /opt

    PATH_SUFFIXES
        include
        armadillo
        include/armadillo
        local
)

## Is Armadillo downloaded locally?
#option(LOCAL OFF)
#IF(${ARMADILLO_INCLUDE_DIR} MATCHES "^.*external_dependencies.*$")
##    message("Armadillo is downloaded locally - the library will be built when needed.")
#    set(LOCAL ON)
##    set(TMP "")
##    string(REGEX REPLACE "/include" "" TMP ${ARMADILLO_INCLUDE_DIR})
#
##    add_subdirectory(${TMP} ${TMP})
#endif()
#
#if(LOCAL)
    # If Armadillo is downloaded locally, the library will be compiled during build-time
    INCLUDE(FindPackageHandleStandardArgs)
    FIND_PACKAGE_HANDLE_STANDARD_ARGS(
            armadillo
            "Armadillo was NOT found!"
            ARMADILLO_INCLUDE_DIR)

    if(armadillo_FOUND)
        message(STATUS "Armadillo headers found.")
        message(STATUS "ARMADILLO_INCLUDE_DIR: ${ARMADILLO_INCLUDE_DIR}")
    endif()
#else()
    # Find library
#    set(LIBNAME ${LIB_PREFIX}armadillo.so)
#    FIND_LIBRARY(
#        ARMADILLO_LIBRARY_DIR
#
#        NAMES
#        ${LIBNAME}
#
#        HINTS
#            ${ROOT_DIR}/external_dependencies/armadillo
#
#        PATHS
#            /usr
#
#        PATH_SUFFIXES
#            lib
#            local
#    )
#
#    # Set ARMADILLO_FOUND honoring the QUIET and REQUIRED arguments
#    INCLUDE(FindPackageHandleStandardArgs)
#    FIND_PACKAGE_HANDLE_STANDARD_ARGS(
#            armadillo
#            "Armadillo was NOT found!"
#            ARMADILLO_INCLUDE_DIR
#            ARMADILLO_LIBRARY_DIR)
#endif()